Gutsy boot consuming lot of time due to timeouts when probing UDMA settings

Bug #163301 reported by matthias schoenstein on 2007-11-17
2
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
Trunk
In Progress
Undecided
Unassigned
Ubuntu
Undecided
Unassigned

Bug Description

Dist: kubuntu 7.10 gutsy gibbon
Bug: System consumes 5 minutes to boot. 4 x 30 s are due to timeouts when probing ata1.00 (my harddisk). Finally the harddisk is set to UDMA/66.
Note: with the old kernel linux 2.6.20.xx the harddisk is running on UDMA/100, there are no timeouts in the boot process.

Consequences:
I consider my hardware being clean. I assume that there might be a problem with the module pata_sis module or with upstart.

*** details ***

uname -a :
Linux linux 2.6.22-14-generic #1 SMP Sun Oct 14 23:05:12 GMT 2007 i686 GNU/Linux

an excerpt of dsmeg shows:

...
Nov 16 16:50:16 linux kernel: [ 97.430202] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
Nov 16 16:50:16 linux kernel: [ 97.430346] ata1: soft resetting port
Nov 16 16:50:16 linux kernel: [ 97.602218] ata1.00: configured for UDMA/100
Nov 16 16:50:16 linux kernel: [ 97.602319] ata1: EH complete
Nov 16 16:50:16 linux kernel: [ 127.566183] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
Nov 16 16:50:16 linux kernel: [ 127.566329] ata1: soft resetting port
Nov 16 16:50:16 linux kernel: [ 127.746164] ata1.00: configured for UDMA/100
Nov 16 16:50:16 linux kernel: [ 127.746277] ata1: EH complete
Nov 16 16:50:16 linux kernel: [ 157.710129] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
Nov 16 16:50:16 linux kernel: [ 157.710274] ata1: soft resetting port
Nov 16 16:50:16 linux kernel: [ 157.890122] ata1.00: configured for UDMA/100
Nov 16 16:50:16 linux kernel: [ 157.890235] ata1: EH complete
Nov 16 16:50:16 linux kernel: [ 187.854015] ata1.00: limiting speed to UDMA/66:PIO4
Nov 16 16:50:16 linux kernel: [ 187.854156] res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
Nov 16 16:50:16 linux kernel: [ 187.854299] ata1: soft resetting port
Nov 16 16:50:16 linux kernel: [ 188.034020] ata1.00: configured for UDMA/66
Nov 16 16:50:16 linux kernel: [ 188.034133] ata1: EH complete
Nov 16 16:50:16 linux kernel: [ 188.040728] sda1 sda2 sda3 <<5>sd 0:0:0:0: [sda] 80293248 512-byte hardware sectors (41110 MB)
...

***

hdparm -i /dev/sda :
/dev/sda:

 Model=Maxtor 2F040J0 , FwRev=VAM51JJ0, SerialNo=F16VEF2E
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
 BuffType=DualPortCache, BuffSize=2048kB, MaxMultSect=16, MultSect=?16?
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=80293248
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4
 DMA modes: mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 *udma4 udma5 udma6
 AdvancedPM=yes: disabled (255) WriteCache=enabled
 Drive conforms to: ATA/ATAPI-7 T13 1532D revision 0: ATA/ATAPI-1,2,3,4,5,6,7

 * signifies the current active mode

***

The bug seems to be the same as #155702, first reported on 2007-10-22

Sergey,

Do you have corrected pata_sis.ko or sis5513.ko? If o so, could you send to
me? Alternatively, could you explain how to obtain source for pata_sis or
sis5513 so that I can compile it myself?

Regards,
John

On Dec 2, 2007 12:31 PM, Sergey Kiselev <email address hidden> wrote:

> *** This bug is a duplicate of bug 155702 ***
> https://bugs.launchpad.net/bugs/155702
>
> ** This bug has been marked a duplicate of bug 155702
> pata_sis fails to enable udma100, which causes a long (~1min) delay at
> boot. Patch available!
>
> --
> Gutsy boot consuming lot of time due to timeouts when probing UDMA
> settings
> https://bugs.launchpad.net/bugs/163301
> You received this bug notification because you are a direct subscriber
> of the bug (via bug 155702).
>

--

Regards,
John

Review in progress for https://review.opencontrail.org/25465
Submitter: Akhil (<email address hidden>)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers